'<%
'BatchBrowser.vbs
'Richiede le pagine web specificate in un file chiamato "BatchBrowser.txt".
'Apre il file, legge tutte le righe e le mette in un array.
'Poi lancia Internet Explorer e richiede le singole pagine,
'aggiungendo http se manca prima del nome del sito.
'Le pagine caricate resteranno poi nella cronologia e potranno
'essere visualizzate off-line. Non funziona con alcune pagine
'create dinamicamente, a meno che siano l'ultima pagina caricata,
'nel qual caso rimangono visualizzate al termine dello script.
'[c] Cenati Giovanni 12.03.02  
Dim oIE
file = "BatchBrowser.txt"
title = "BatchBrowser - Cenati"
set fso= createobject("Scripting.FileSystemObject")
If fso.FileExists(file) Then
    Set txtStream = fso.OpenTextFile(file) ' Apre file di testo.
	txt = txtStream.ReadAll 'legge tutto il file
	txtStream.Close  'lo chiude
	lines = Split(txt, vbCrLf) 'Crea un array delle linee del file
Else                  ' Termina.
    MsgBox "File '" & file & "' non trovato", vbOKOnly + vbCritical, Title 
    WScript.Quit 1    ' Termina con error code 1.
End If


    ' Crea un oggetto Internet Explorer
    Set oIE = WScript.CreateObject("InternetExplorer.Application")
    ' Setta le propriet della finestra del browser
    oIE.left = 20                ' La finestra  
    oIE.top = 50                 ' in alto a sinistra,
    oIE.height = 380		 ' piccola...
    oIE.width = 580
    oIE.menubar = 0              ' Senza menu
    oIE.toolbar = 0		 ' n barra degli strumenti 
    oIE.statusbar = 0            ' n barra di stato per essere pi riconoscibile.
    oIE.navigate("about:blank")  ' Crea un documento HTML vuoto.
    oIE.visible = 1
    for i = 0 to ubound(lines)
        if trim(lines(i))<>"" then   'Se non  una riga vuota...

		URL=EstraiUrl( lines(i))
		Filename=EstraiFileName (lines(i))
		
		if FileName<>"" then 
			DownloadWithXMLHTTP URL, Filename
		else
			DownloadWithIE URL
		end if 'Filename non vuoto
        end if 'Riga non vuota
    next 'Passa alla prossima pagina
    set oIE=nothing

msgbox "Fine Programma",VbInformation,Title
wscript.quit
'*** End

Function EstraiUrl (riga)
	'Da una riga composta da URL[blank]FileName estrae la prima parte.
	'Se non c', aggiunge http prima del testo.
	if ucase(left(riga,7))<>"HTTP://" then 
		riga="HTTP://" & trim(riga) 'aggiunge "http://" se manca
	end if
	Separa = inStr(1,riga," ")  'Trova il primo spazio
	EstraiUrl=riga
	if Separa=0 then exit function 'Se non c' lo spazio restituisce "riga"
	URL= left(lines(i),Separa-1) 'Prima dello spazio c' l'URL
	EstraiUrl=URL
end function

Function EstraiFileName(riga)
	Separa = inStr(1,riga," ")  'Trova il primo spazio
	EstraiFilename=""
	if Separa=0 then exit function	
	EstraiFileName= right(riga, len(riga)-Separa) 
	'Dopo lo spazio c' iriganome del file
end function

Sub DownloadWithXMLHTTP (sSource,sDest)
	'Download a file using activeX Object XMLHTTP
	'and save to sDest using ADO Stream
	set oHTTP = WScript.CreateObject("Microsoft.XMLHTTP")
	oHTTP.open "GET", sSource, False
	oHTTP.send
	set oStream = createobject("adodb.stream")
	Const adTypeBinary = 1
	Const adSaveCreateNotExist = 1
	Const adSaveCreateOverWrite = 2
	oStream.type = adTypeBinary
	oStream.open
	oStream.write oHTTP.responseBody
	oStream.savetofile sDest, adSaveCreateOverWrite
	set oStream = nothing
	set oHTTP = nothing
end sub

Sub DownloadWithIE(sURL)
	oIE.navigate(sURL)  'Richiede la pagina in internet
	Do While(oIE.Busy): WScript.Sleep 1000 :Loop    
 	WScript.Sleep 1000
	Do While(oIE.Busy): WScript.Sleep 1000 :Loop 
	' Aspetta che IE abbia caricato la pagina. Sleep libera risorse al sistema.
	' Serve anche per aspettare le pagine che caricano altre pagine automaticamente.
end sub